%global srcname botocore-2

Name:           python-%{srcname}
# NOTICE - Updating this package requires updating python-boto3
Version:        2.0.0dev94
Release:        1%{?dist}
Summary:        Low-level, data-driven core of boto 3
# botocore is Apache 2.0
# requests is Apache 2.0
# six is MIT
# urllib3 is MIT
License:        ASL 2.0 and MIT
URL:            https://github.com/boto/botocore
Source0:        %{url}/archive/v2/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Provides:       bundled(python3-six) = 1.10.0
# Well, just requests.exceptions, but still worth a mention.
# No versioning in code, spelunking in github reveals this version of exceptions.py
# is at commit 2eb7e3c80b345f6c6e13fadf6f1ba98efccdd2e2 which was current between
# November 12 2014 and October 24 2015. The highest release of requests in that window
# was v2.8.1, so we'll call it that.
# No changes in this code, it's just old.
Provides:       bundled(python3-requests) = 2.8.1
# Also, just urllib3.exceptions, but still worth a mention.
Provides:       bundled(python3-urllib3) = 1.10.4


%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI version 2 as well
as boto3. Supports aws-cli-2.

%package -n     python3-%{srcname}
Summary:        Low-level, data-driven core of boto 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-botocore <= 1
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Version 2 of the low-level interface to a growing number of Amazon Web
Services. The botocore package is the foundation for the AWS CLI as
well as boto3.

%prep
%autosetup -c -n %{srcname}-%{version}
cd %{srcname}
# rm -vr %%{srcname}.egg-info
# Remove online tests
rm -vr tests/integration

%build
cd %{srcname}
%py3_build

%install
cd %{srcname}
%py3_install

%files -n python3-%{srcname}
%doc %{srcname}/README.rst
%license %{srcname}/LICENSE.txt
%dir %{python3_sitelib}/botocore
%dir %{python3_sitelib}/botocore-*.egg-info/
%{python3_sitelib}/botocore/*
%{python3_sitelib}/botocore-*.egg-info/*

%changelog
* Mon Feb 15 2021 Tom Callaway <spot@fedoraproject.org> - 2.0.0dev94-1
- update to 2.0.0dev94

* Fri Mar 13 2020 David Duncan <davdunc@amazon.com> - 2.0.0dev7-1
- Initial Commit for botocore version 2

